summaryrefslogtreecommitdiffstats
path: root/misc/bodr
diff options
context:
space:
mode:
author Petar Petrov <ppetrov@paju.oulu.fi>2011-11-28 22:17:29 -0600
committer Niels Horn <niels.horn@slackbuilds.org>2011-12-10 21:58:16 -0200
commite529dcb62eff1c6bd8cf48a1dc7a23f972ce6e4f (patch)
treeb18ceb93f5f798073b732b353e8aa643109d33a6 /misc/bodr
parente361dc4986bdbfeddcf63475d23b9825ea097062 (diff)
downloadslackbuilds-e529dcb62eff1c6bd8cf48a1dc7a23f972ce6e4f.tar.gz
slackbuilds-e529dcb62eff1c6bd8cf48a1dc7a23f972ce6e4f.tar.xz
misc/bodr: Added (Blue Obelisk Data Repository)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'misc/bodr')
-rw-r--r--misc/bodr/README19
-rw-r--r--misc/bodr/bodr.SlackBuild91
-rw-r--r--misc/bodr/bodr.info10
-rw-r--r--misc/bodr/slack-desc19
4 files changed, 139 insertions, 0 deletions
diff --git a/misc/bodr/README b/misc/bodr/README
new file mode 100644
index 0000000000..5b2994c5fe
--- /dev/null
+++ b/misc/bodr/README
@@ -0,0 +1,19 @@
+BODR is the "Blue Obelisk Data Repository".
+
+It represents a set of common, standardized data for chemoinformatics
+in both XML and plain-text formats. Currently this encompasses:
+
+1) Elements directory
+ - element names and symbols
+ - atomic masses, covalent radii, van der Waals radii
+ - Pauling electronegativities
+ - electron affinity
+ - ionization potential
+ - default element colors for viewers
+2) Isotopes directory
+ - exact masses of most abundant isotopes
+ - isotopic masses and abundances
+ - spin
+ - kinds of decay, percentages and energy
+ - magnetic dipole moment
+ - halflife
diff --git a/misc/bodr/bodr.SlackBuild b/misc/bodr/bodr.SlackBuild
new file mode 100644
index 0000000000..db9c45ef0d
--- /dev/null
+++ b/misc/bodr/bodr.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for bodr
+
+# Copyright 2011 Petar Petrov, ppetrov@paju.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=bodr
+VERSION=${VERSION:-9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+
+make
+make DESTDIR=$PKG install
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/bodr/bodr.info b/misc/bodr/bodr.info
new file mode 100644
index 0000000000..8ee08807f0
--- /dev/null
+++ b/misc/bodr/bodr.info
@@ -0,0 +1,10 @@
+PRGNAM="bodr"
+VERSION="9"
+HOMEPAGE="http://sourceforge.net/projects/bodr/"
+DOWNLOAD="http://sourceforge.net/projects/bodr/files/bodr/9/bodr-9.tar.gz"
+MD5SUM="eb69a3b1676f66757f707ffdc84d95a2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
+APPROVED="rworkman"
diff --git a/misc/bodr/slack-desc b/misc/bodr/slack-desc
new file mode 100644
index 0000000000..e4267d5940
--- /dev/null
+++ b/misc/bodr/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bodr: bodr (Blue Obelisk Data Repository)
+bodr:
+bodr: BODR represents a set of common, standardized data for
+bodr: chemoinformatics in both XML and plain-text formats.
+bodr:
+bodr:
+bodr:
+bodr:
+bodr:
+bodr:
+bodr: \ No newline at end of file